Module javafx.controls
Package javafx.scene.control

# Class ResizeFeaturesBase<S>

java.lang.Object
javafx.scene.control.ResizeFeaturesBase<S>

Direct Known Subclasses:
  `TableView.ResizeFeatures`, `TreeTableView.ResizeFeatures`

    public class ResizeFeaturesBase<S>
    extends Object

An immutable wrapper class for use by the column resize policies offered by controls such as `TableView` and `TreeTableView`.

Since:
  JavaFX 8.0

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ResizeFeaturesBase​(TableColumnBase<S,​?> column, Double delta)` | Creates an instance of this class, with the provided TableColumnBase and delta values being set and stored in this immutable instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `TableColumnBase<S,​?>` | `getColumn()` | Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a resize operation.
  `Double` | `getDelta()` | Returns the amount of horizontal space added or removed in the resize operation.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResizeFeaturesBase

    public ResizeFeaturesBase​(TableColumnBase<S,​?> column, Double delta)
    Creates an instance of this class, with the provided TableColumnBase and delta values being set and stored in this immutable instance.
    Parameters:
      `column` - The column upon which the resize is occurring, or null if this ResizeFeatures instance is being created as a result of a resize operation.
      `delta` - The amount of horizontal space added or removed in the resize operation.

- ## Method Details

  - ### getColumn

    public TableColumnBase<S,​?> getColumn()
    Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a resize operation.
    Returns:
      the column upon which the resize is occurring

  - ### getDelta

    public Double getDelta()
    Returns the amount of horizontal space added or removed in the resize operation.
    Returns:
      the amount of horizontal space added or removed in the resize operation